<?php

/**
* MyBB Plugin:  Maximum Posts Per Day.
* -------------------------------------------------------------------------------------------
* http://www.forumsecurity.eu
* -------------------------------------------------------------------------------------------
* Author : Babjusi 
* http://www.forumsecurity.eu
**/
if(!defined("IN_MYBB"))
{
	die("Direct initialization of this file is not allowed.<br /><br />Please make sure IN_MYBB is defined.");
}
$plugins->add_hook("datahandler_post_validate_post", "max_posts_day");


function max_posts_day_info()
{
	return array(
		"name"			=> "حداکثر ارسال های روزانه",
		"description"	=> "تعداد ارسال های مجاز روزانه را تنظیم می کند، فارسی سازی توسط MybbIran.com",
		"website"		=> "http://www.forumsecurity.eu/",
		"version"		=> "1.0",
		"author"		=> "babjusi",
		"authorsite"	=> "http://www.forumsecurity.eu",
		"compatibility"  => "14*",
		'guid'        => ''
	);
}
function max_posts_day_activate()
{
	global $db;
	
$settings_group = array(
		'name' => 'maximumpostsperday',
		'title' => 'حداکثر ارسال های روزانه',
		'description' => 'تنظیمات این پلاگین!',
		'disporder' => '1',
		'isdefault' => 'no'
	);
	$db->insert_query('settinggroups',$settings_group);
	$gid = $db->insert_id();
	
	$setting = array(
		'name' => 'enablemaxposts',
		'title' => 'حداکثر ارسال مجاز روزانه روشن باشد؟',
		'description' => 'اگر روشن باشد، شما توانایی تعیین تعداد ارسال های مجاز روزانه را دارید.',
		'optionscode' => 'yesno',
		'value' => '0',
		'disporder' => '1',
		'gid' => intval($gid)
	);
	$db->insert_query('settings',$setting);
	
	$max_posts = array(
		"name" => "max_posts",
		"title" => "تعداد ارسال های مجاز در روز",
		"description" => "در زیر تعداد ارسال های مجاز روزانه کاربران را مشخص کنید.",
		"optionscode" => "text",
		"value" => "",
		"disporder" => "2",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $max_posts);
	
	$max_users = array(
		"name" => "max_users",
		"title" => "کاربرانی که می خواهید ارسال های روزانه شان محدود شود. ",
		"description" => "در این قسمت <strong>آی دی کاربری</strong> که می خواهید ارسال های روزانه اش محدود شود وارد کنید. برای انتخاب بیش از یک کاربر، آی دی های آن ها را با کاما از هم جدا کنید.",
		"optionscode" => "text",
		"value" => "",
		"disporder" => "4",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $max_users);
	
	$max_forums = array(
		"name" => "max_forums",
		"title" => "انجمن هایی که شما می خواهید محدودیت ارسال روزانه در آن ها اجرا شود.",
		"description" => "در این قسمت <strong>آی دی فروم هایی</strong> را که می خواهید محدودیت ارسال روزانه در آن ها اجرا شود را وارد کنید. برای انتخاب بیش از یک فروم  <strong>آی دی های</strong> آن ها را با کاما از هم جدا کنید.",
		"optionscode" => "text",
		"value" => "",
		"disporder" => "5",
		"gid" => intval($gid),
		);
	$db->insert_query("settings", $max_forums);

rebuild_settings();
}

function max_posts_day_deactivate()
{
	global $db;

$db->query("DELETE FROM ".TABLE_PREFIX."settinggroups WHERE name='maximumpostsperday'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='enablemaxposts'");	
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='max_posts'");	
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='max_users'");
$db->query("DELETE FROM ".TABLE_PREFIX."settings WHERE name='max_forums'");


rebuild_settings();
}
	

function max_posts_day($post)	
{
global $mybb, $db, $fid;	

$maxusers = explode(',', $mybb->settings['max_users']);
$maxforums = explode(',', $mybb->settings['max_forums']);
	
if($mybb->settings['enablemaxposts'] == 1)
{
if($mybb->settings['max_posts'] >0 && in_array($mybb->user['uid'] , $maxusers) && in_array($fid, $maxforums))
{
$daycut = TIME_NOW-60*60*24;
$query = $db->simple_select("posts", "COUNT(*) AS posts_today", "uid='{$mybb->user['uid']}' AND visible='1' AND dateline>{$daycut}");
$post_count = $db->fetch_field($query, "posts_today");

if($post_count >= $mybb->settings['max_posts'])	{
error("یک خطا رخ داده است. شما به حداکثر تعداد ارسال های مجاز روزانه رسیده اید. تعداد ارسال های مجاز: ". $mybb->settings['max_posts']. "  ارسال های روزانه به وسیله ادمین برای این فروم تنظیم شده است.");
}
}
}
}
?>